# -*- encoding: utf-8 -*-
# stub: azure_cognitiveservices_face 0.19.0 ruby lib

Gem::Specification.new do |s|
  s.name = "azure_cognitiveservices_face".freeze
  s.version = "0.19.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "bug_tracker_uri" => "https://github.com/Azure/azure-sdk-for-ruby/issues", "changelog_uri" => "https://github.com/Azure/azure-sdk-for-ruby/blob/master/ChangeLog.md", "documentation_uri" => "https://azure.microsoft.com/en-us/develop/ruby/", "homepage_uri" => "https://aka.ms/azure-sdk-for-ruby", "source_code_uri" => "https://github.com/Azure/azure-sdk-for-ruby/tree/master/data/azure_cognitiveservices_face" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Microsoft Corporation".freeze]
  s.date = "2024-07-17"
  s.description = "Microsoft Azure Cognitive Services Face Client Library for Ruby".freeze
  s.email = "azrubyteam@microsoft.com".freeze
  s.files = ["LICENSE.txt".freeze, "lib/1.0".freeze, "lib/1.0/generated".freeze, "lib/1.0/generated/azure_cognitiveservices_face".freeze, "lib/1.0/generated/azure_cognitiveservices_face.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_face/face.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_face/face_client.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_face/face_list_operations.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_face/large_face_list_operations.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_face/large_person_group_operations.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_face/large_person_group_person.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_face/models".freeze, "lib/1.0/generated/azure_cognitiveservices_face/models/accessory.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_face/models/accessory_type.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_face/models/apierror.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_face/models/apply_snapshot_request.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_face/models/blur.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_face/models/blur_level.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_face/models/coordinate.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_face/models/detected_face.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_face/models/detection_model.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_face/models/emotion.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_face/models/error.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_face/models/exposure.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_face/models/exposure_level.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_face/models/face_attribute_type.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_face/models/face_attributes.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_face/models/face_landmarks.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_face/models/face_list.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_face/models/face_rectangle.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_face/models/facial_hair.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_face/models/find_similar_match_mode.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_face/models/find_similar_request.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_face/models/gender.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_face/models/glasses_type.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_face/models/group_request.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_face/models/group_result.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_face/models/hair.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_face/models/hair_color.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_face/models/hair_color_type.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_face/models/head_pose.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_face/models/identify_candidate.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_face/models/identify_request.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_face/models/identify_result.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_face/models/image_url.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_face/models/large_face_list.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_face/models/large_person_group.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_face/models/makeup.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_face/models/meta_data_contract.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_face/models/name_and_user_data_contract.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_face/models/noise.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_face/models/noise_level.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_face/models/occlusion.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_face/models/operation_status.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_face/models/operation_status_type.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_face/models/persisted_face.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_face/models/person.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_face/models/person_group.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_face/models/recognition_model.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_face/models/similar_face.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_face/models/snapshot.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_face/models/snapshot_apply_mode.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_face/models/snapshot_object_type.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_face/models/take_snapshot_request.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_face/models/training_status.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_face/models/training_status_type.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_face/models/update_face_request.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_face/models/update_snapshot_request.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_face/models/verify_face_to_face_request.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_face/models/verify_face_to_person_request.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_face/models/verify_result.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_face/module_definition.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_face/person_group_operations.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_face/person_group_person.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_face/snapshot_operations.rb".freeze, "lib/azure_cognitiveservices_face.rb".freeze, "lib/module_definition.rb".freeze, "lib/profiles".freeze, "lib/profiles/latest".freeze, "lib/profiles/latest/face_latest_profile_client.rb".freeze, "lib/profiles/latest/face_module_definition.rb".freeze, "lib/profiles/latest/modules".freeze, "lib/profiles/latest/modules/face_profile_module.rb".freeze, "lib/version.rb".freeze]
  s.homepage = "https://aka.ms/azure-sdk-for-ruby".freeze
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.0.0".freeze)
  s.rubygems_version = "3.3.26".freeze
  s.summary = "Official Ruby client library to consume Microsoft Azure Cognitive Services Face.".freeze

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_development_dependency(%q<bundler>.freeze, ["~> 1.9"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 10"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3"])
    s.add_development_dependency(%q<dotenv>.freeze, ["~> 2"])
    s.add_runtime_dependency(%q<ms_rest_azure>.freeze, ["~> 0.11.1"])
  else
    s.add_dependency(%q<bundler>.freeze, ["~> 1.9"])
    s.add_dependency(%q<rake>.freeze, ["~> 10"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3"])
    s.add_dependency(%q<dotenv>.freeze, ["~> 2"])
    s.add_dependency(%q<ms_rest_azure>.freeze, ["~> 0.11.1"])
  end
end
